/***************************************************************************
 *                                                                         *
 *  MAXIMUS-CBCS Source Code, Version 1.02                                 *
 *  Copyright 1989, 1990 by Scott J. Dudley.  All rights reserved.         *
 *                                                                         *
 *  Number-of-callers fudging utility                                      *
 *                                                                         *
 *  For complete details of the licensing restrictions, please refer to    *
 *  the licence agreement, which is published in its entirety in MAX.C     *
 *  and LICENCE.MAX.                                                       *
 *                                                                         *
 *  USE OF THIS FILE IS SUBJECT TO THE RESTRICTIONS CONTAINED IN THE       *
 *  MAXIMUS-CBCS LICENSING AGREEMENT.  IF YOU DO NOT FIND THE TEXT OF THIS *
 *  AGREEMENT IN ANY OF THE  AFOREMENTIONED FILES, OR IF YOU DO NOT HAVE   *
 *  THESE FILES, YOU SHOULD IMMEDIATELY CONTACT THE AUTHOR AT ONE OF THE   *
 *  ADDRESSES LISTED BELOW.  IN NO EVENT SHOULD YOU PROCEED TO USE THIS    *
 *  FILE WITHOUT HAVING ACCEPTED THE TERMS OF THE MAXIMUS-CBCS LICENSING   *
 *  AGREEMENT, OR SUCH OTHER AGREEMENT AS YOU ARE ABLE TO REACH WITH THE   *
 *  AUTHOR.                                                                *
 *                                                                         *
 *  You can contact the author at one of the address listed below:         *
 *                                                                         *
 *  Scott Dudley           FidoNet  1:249/106                              *
 *  777 Downing St.        IMEXnet  89:483/202                             *
 *  Kingston, Ont.         Internet f106.n249.z1.fidonet.org               *
 *  Canada - K7M 5N3       BBS      (613) 389-8315 - HST/14.4K, 24hrs      *
 *                                                                         *
 ***************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <io.h>
#include <fcntl.h>
#include "prog.h"
#include "max.h"

main(int argc,char *argv[])
{
  char temp[120];
  struct _bbs_stats bbstat;
  int bfile;

  printf("\nEDITCALL v" VERSION "  Number-of-calls fudging utility\n");
  printf("Copyright 1990 by Scott J. Dudley.  All rights reserved.\n\n");

  if (argc < 2)
  {
    printf("Error!  Format is:\n\n");

    printf("EDITCALL <task_num> <num_calls>\n\n");

    printf("Use `0' for <task_num> if no task number.\n\n");
    printf("Omit <num_calls> to display the current value\n");

    return 1;
  }

  sprintf(temp,"BBSTAT%02x.BBS",atoi(argv[1]));

  if ((bfile=open(temp,O_RDWR | O_BINARY))==-1)
  {
    printf("Error!  `%s' does not exist.  Run Maximus once to generate\n",temp);
    printf("preliminary %s file (while using the appropriate task number),\n",temp);
    printf("and then re-run EDITCALL.\n");
    return 1;
  }

  read(bfile,(char *)&bbstat,sizeof(struct _bbs_stats));

  printf("Current value = %lu calls.\n",bbstat.num_callers);

  if(argc==3)
  {
    bbstat.num_callers=atol(argv[2]);
    printf("New value     = %lu calls.\n",bbstat.num_callers);

    lseek(bfile,0L,SEEK_SET);

    write(bfile,(char *)&bbstat,sizeof(struct _bbs_stats));
  }

  close(bfile);

  printf("Done!\n");

  return 0;
}

